创建新云
POST /accounts/{account_id}/topology/v1/clouds
指示要创建的 Cloud API 资源的所需值。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
请求正文
指示要创建的 Cloud API 资源的所需值。
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
name |
string |
True |
包含云名称的 JSON 字符串。定义的值为:
|
cloudType |
string |
True |
包含指示云类型的值的 JSON 字符串。定义的值为:
|
凭证 ID |
string |
False |
包含指示包含云服务帐户的凭据 ID 的值的 JSON 字符串。这是 cloudType "gcp"、"azure" 和 "aws" 所必需的。定义的值为:
|
defaultBucketID |
string |
False |
包含在云中为应用程序创建备份时默认使用的存储桶 ID 的 JSON 字符串。这在跨集群克隆应用程序时是必需的,如果在创建备份和计划时未指定存储桶,则将其用作默认值。定义的值为:
|
元数据 |
False |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
请求示例
{
"type": "application/astra-cloud",
"version": "1.1",
"name": "GKE",
"cloudType": "gcp",
"credentialID": "6fa2f917-f730-41b8-9c15-17f531843b31"
}
响应
Status: 201, Returns the newly created cloud resource in the JSON response body.
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
name |
string |
True |
包含云名称的 JSON 字符串。定义的值为:
|
状态 |
string |
True |
包含指示云操作状态的值的 JSON 字符串。定义的值为:
|
stateUnready |
数组[string] |
True |
JSON 字符串的 JSON 数组,每个数组指示云无法转换到"运行"或转换到"失败"的原因。定义的值为:
|
cloudType |
string |
True |
包含指示云类型的值的 JSON 字符串。定义的值为:
|
凭证 ID |
string |
False |
包含指示包含云服务帐户的凭据 ID 的值的 JSON 字符串。这是 cloudType "gcp"、"azure" 和 "aws" 所必需的。定义的值为:
|
defaultBucketID |
string |
False |
包含在云中为应用程序创建备份时默认使用的存储桶 ID 的 JSON 字符串。这在跨集群克隆应用程序时是必需的,如果在创建备份和计划时未指定存储桶,则将其用作默认值。定义的值为:
|
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
响应示例
{
"type": "application/astra-cloud",
"version": "1.1",
"id": "1c9512c3-ec62-5ed8-8013-02fc090b9d03",
"name": "GKE",
"state": "discovering",
"stateUnready": [
"Cloud discovery in progress"
],
"cloudType": "gcp",
"credentialID": "6fa2f917-f730-41b8-9c15-17f531843b31",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 409, Conflict
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |
invalidFields
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效请求正文字段的名称 |
原因 |
string |
True |
请求正文字段无效的原因 |